Subject: Re: Musings on PCI busses

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 21 May 2009 08:49:41 +1000

On Wed, 2009-05-20 at 15:41 -0700, David Miller wrote:
> This is exactly what sparc64 does as well, I took the powerpc code. :)
> 
> It also avoids a bunch of bugs that get unearthed as a result of
> scanning the entire hierarchy with PCI config access "pokes".  Some
> PCI controllers hang when certain PCI config space addresses are
> accessed, meanwhile some hypervisor versions don't generate the bus
> timeout exception properly on PCI config accesses to nonexisting
> devices, the list is endless.
> 
> And all of that went away when I imported the ppc64 code to do
> this using the OF device tree.
> 
> So if you put this in a common place, let's consolidate the differences
> accumulated in the sparc64 code so I can use it too :-)

Allright, I'll give that a go asap, maybe tomorrow.

Cheers,
Ben.